package blanco.plugin.strutsee.wizards;

import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;

public class BlancoStrutsEEWizardPage4 extends WizardPage {

    private ISelection selection;

    public BlancoStrutsEEWizardPage4(ISelection selection) {
        super("wizardPage");
        setTitle("blancoStruts Enterprise Edition プラグインに関連するフォルダ");
        this.selection = selection;
    }

    public void createControl(Composite parent) {
        GridLayout gridLayout = new GridLayout();
        gridLayout.numColumns = 1;

        Composite container = new Composite(parent, SWT.NULL);
        container.setLayout(gridLayout);

        new Label(container, SWT.NONE)
                .setText("blancoStruts Enterprise Edition プラグインに関連するフォルダは下記のとおりです。");
        new Label(container, SWT.NONE).setText("  1.ソースフォルダ (フォルダ名は src を推奨)");
        new Label(container, SWT.NONE)
                .setText("    ソースフォルダを設定(作成)することを強く推奨します。");
        new Label(container, SWT.NONE)
                .setText("  2.メタディレクトリ (フォルダ名は meta/struts を強く推奨します)");
        new Label(container, SWT.NONE).setText("    画面定義ファイルが格納されます。");
        new Label(container, SWT.NONE)
                .setText("  3.テンポラリディレクトリ (フォルダ名は tmp となります)");
        new Label(container, SWT.NONE).setText("  4.自動生成されたソースコードが格納されるフォルダ");
        new Label(container, SWT.NONE).setText("    ・blanco/main (Java)");

        setControl(container);
    }
}